{
	"format_version": "1.10.0",
	"animation_controllers": {
		"controller.animation.hoh_bht.camera": {
			"initial_state": "open",
			"states": {
				"open": {
					"animations": [
						"open"
					],
					"transitions": [
						{
							"flash": "query.is_using_item"
						}
					]
				},
				"flash": {
					"animations": [
						"flash",
						"metal"
					],
					"transitions": [
						{
							"open_idle_finished": "query.all_animations_finished"
						}
					]
				},
				"open_idle_finished": {
					"animations": [
						"open_idle",
						"metal"
					],
					"transitions": [
						{
							"open_idle": "!query.is_using_item"
						}
					]
				},
				"open_idle": {
					"animations": [
						"open_idle",
						"metal"
					],
					"transitions": [
						{
							"flash": "query.is_using_item"
						}
					]
				}
			}
		}
	}
}